


var pbCallBack;
var pblCallBack;
var pflCallBack;
//打印图片
function printBitmap(data, callback) {
    pbCallBack = callback;
    window.external.PrintBitmap(data, "printBitmap_callback");

}

function printBitmap_callback(json) {
    pbCallBack(json);
}

//打印图片列表
function printBitmap_list(data, callback) {
    pblCallBack = callback;
    window.external.PrintBitmapList(data, "printBitmap_list_callback");

}

function printBitmap_list_callback(json) {
    pblCallBack(json);
}

//打印文件列表
function printFile_list(data, callback) {
    pflCallBack = callback;
    window.external.PrintFileList(data, "printFile_list_callback");

}

function printFile_list_callback(json) {
    pflCallBack(json);
}

var spCallBack;
//打印机设置
function set_printer(data, callback) {
    spCallBack = callback;
    window.external.printset(data, "set_printer_callback");

}

function set_printer_callback(json) {
    spCallBack(json);
}

var ptCallBack;
//打印机测试
function print_test(data, callback) {
    ptCallBack = callback;
    window.external.printset(data, "print_test_callback");

}

function print_test_callback(json) {
    ptCallBack(json);
}

var ipCallBack;
//打印机地址设置
function set_IP(data, callback) {
    ipCallBack = callback;
    window.external.setIP(data, "set_IP_callback");

}

function set_IP_callback(json) {
    ipCallBack(json);
}